/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

// $Id: AxisServer.java,v 1.1.6.1 2004/08/08 21:27:39 tdiesler Exp $

package org.jboss.net.axis.server;

import org.apache.axis.EngineConfiguration;
import org.apache.axis.MessageContext;

/**
 * subclassed only to get access to protected static members
 * @author jung
 * @since 15.11.2003
 */
public class AxisServer extends org.apache.axis.server.AxisServer
{

   /**
    * 
    */
   public AxisServer()
   {
      super();
   }

   /**
    * @param arg0
    */
   public AxisServer(EngineConfiguration arg0)
   {
      super(arg0);
   }

   /**
    * Set the active message context.
    *
    * @param mc - the new active message context.
    */
   protected static void setCurrentMessageContext(MessageContext mc)
   {
      org.apache.axis.server.AxisServer.setCurrentMessageContext(mc);
   }
}
